// Project Sword & Gun Copyright © 2021 Kevin Poretti


#include "BlueprintLibraries/SNGEventBlueprintLibrary.h"

/**
 * Returns the CommandData member of the SNGEventData union
 *
 * @param Event the event you want to get a specific SNGEventData from
 * @returns CommandData member of the SNGEventData union 
 */
FSNGCharacterCommandData USNGEventBlueprintLibrary::GetEventDataAsCommandData(const FSNGEvent Event)
{
	return Event.CommandData;
}

/**
 * Returns the DamageData member of the SNGEventData union
 *
 * @param Event the event you want to get a specific SNGEventData from
 * @returns DamageData member of the SNGEventData union 
 */
FSNGDamageData USNGEventBlueprintLibrary::GetEventDataAsDamageData(const FSNGEvent Event)
{
	return Event.DamageData;
}

